`timescale 1ns/1ps
module extClkPll(
   input clkin,
   input clkfb,
   input pllen,
   input resetn,
   input clkout0en,
   input clkout1en,
   input clkout2en,
   input clkout3en,
  output clkout0,
  output clkout1,
  output clkout2,
  output clkout3,
  output lock
);


alta_pllx extClkPll_0297C5E4(
  .clkin(clkin),
  .clkfb(clkfb),
  .pllen(pllen),
  .resetn(resetn),
  .clkout0en(clkout0en),
  .clkout1en(clkout1en),
  .clkout2en(clkout2en),
  .clkout3en(clkout3en),
  .clkout0(extClkPll_clkout0),
  .clkout1(extClkPll_clkout1),
  .clkout2(extClkPll_clkout2),
  .clkout3(extClkPll_clkout3),
  .lock(extClkPll_lock)
);
defparam extClkPll_0297C5E4.CLKIN_DIV = 6'h04;
defparam extClkPll_0297C5E4.CLKFB_DIV = 6'h00;
defparam extClkPll_0297C5E4.CLKDIV0_EN = 1'h1;
defparam extClkPll_0297C5E4.CLKOUT0_DIV = 6'h3B;
defparam extClkPll_0297C5E4.CLKOUT0_DEL = 6'h00;
defparam extClkPll_0297C5E4.CLKOUT0_PHASE = 3'h0;
defparam extClkPll_0297C5E4.CLKDIV1_EN = 1'h1;
defparam extClkPll_0297C5E4.CLKOUT1_DIV = 6'h1D;
defparam extClkPll_0297C5E4.CLKOUT1_DEL = 6'h00;
defparam extClkPll_0297C5E4.CLKOUT1_PHASE = 3'h0;
defparam extClkPll_0297C5E4.CLKDIV2_EN = 1'h1;
defparam extClkPll_0297C5E4.CLKOUT2_DIV = 6'h05;
defparam extClkPll_0297C5E4.CLKOUT2_DEL = 6'h00;
defparam extClkPll_0297C5E4.CLKOUT2_PHASE = 3'h0;
defparam extClkPll_0297C5E4.CLKDIV3_EN = 1'h1;
defparam extClkPll_0297C5E4.CLKOUT3_DIV = 6'h02;
defparam extClkPll_0297C5E4.CLKOUT3_DEL = 6'h00;
defparam extClkPll_0297C5E4.CLKOUT3_PHASE = 3'h0;
defparam extClkPll_0297C5E4.FEEDBACK_MODE = 1'b1;
defparam extClkPll_0297C5E4.FEEDBACK_CLOCK = 2'b00;

assign clkout0 = extClkPll_clkout0;
assign clkout1 = extClkPll_clkout1;
assign clkout2 = extClkPll_clkout2;
assign clkout3 = extClkPll_clkout3;
assign lock = extClkPll_lock;

endmodule

