`timescale 1 ps/ 1 ps

module internal_clock_pll(
	sys_clk,
	sys_rst,
	clk2MHz,
	clk4MHz,
	clk100MHz,
	clk200MHz);
input	sys_clk;
input	sys_rst;
output	clk2MHz;
output	clk4MHz;
output	clk100MHz;
output	clk200MHz;

//wire	gnd;
//wire	vcc;
tri1	devclrn;
tri1	devoe;
tri1	devpor;
wire	\inClkPll_inst|inClkPll_CAAEC038.clkout0 ;
wire	\inClkPll_inst|inClkPll_CAAEC038.clkout0_int ;
wire	\inClkPll_inst|inClkPll_CAAEC038.clkout1 ;
wire	\inClkPll_inst|inClkPll_CAAEC038.clkout1_int ;
wire	\inClkPll_inst|inClkPll_CAAEC038.clkout2 ;
wire	\inClkPll_inst|inClkPll_CAAEC038.clkout2_int ;
wire	\inClkPll_inst|inClkPll_CAAEC038.clkout3 ;
wire	\inClkPll_inst|inClkPll_CAAEC038.clkout3_int ;
wire	\inClkPll_inst|inClkPll_CAAEC038.lock ;
wire	\sys_clk~input_o ;
wire	\sys_rst~input_o ;
wire	unknown;
wire	\~ALTERA_ASDO_DATA1~~ibuf_o ;
wire	\~ALTERA_ASDO_DATA1~~padout ;
wire	\~ALTERA_DATA0~~ibuf_o ;
wire	\~ALTERA_DATA0~~padout ;
wire	\~ALTERA_FLASH_nCE_nCSO~~ibuf_o ;
wire	\~ALTERA_FLASH_nCE_nCSO~~padout ;
wire	\~VCC~combout ;

wire vcc;
wire gnd;
assign vcc = 1'b1;
assign gnd = 1'b0;

alta_rio \clk100MHz~output (
	.padio(clk100MHz),
	.datain(\inClkPll_inst|inClkPll_CAAEC038.clkout2 ),
	.oe(vcc),
	.outclk(gnd),
	.outclkena(vcc),
	.inclk(gnd),
	.inclkena(vcc),
	.areset(gnd),
	.sreset(gnd),
	.combout(),
	.regout());
defparam \clk100MHz~output .coord_x = 5;
defparam \clk100MHz~output .coord_y = 1;
defparam \clk100MHz~output .coord_z = 1;
defparam \clk100MHz~output .IN_ASYNC_MODE = 1'b0;
defparam \clk100MHz~output .IN_SYNC_MODE = 1'b0;
defparam \clk100MHz~output .IN_POWERUP = 1'b0;
defparam \clk100MHz~output .OUT_REG_MODE = 1'b0;
defparam \clk100MHz~output .OUT_ASYNC_MODE = 1'b0;
defparam \clk100MHz~output .OUT_SYNC_MODE = 1'b0;
defparam \clk100MHz~output .OUT_POWERUP = 1'b0;
defparam \clk100MHz~output .OE_REG_MODE = 1'b0;
defparam \clk100MHz~output .OE_ASYNC_MODE = 1'b0;
defparam \clk100MHz~output .OE_SYNC_MODE = 1'b0;
defparam \clk100MHz~output .OE_POWERUP = 1'b0;
defparam \clk100MHz~output .CFG_TRI_INPUT = 1'b0;
defparam \clk100MHz~output .CFG_PULL_UP = 1'b0;
defparam \clk100MHz~output .CFG_SLR = 1'b0;
defparam \clk100MHz~output .CFG_OPEN_DRAIN = 1'b0;
defparam \clk100MHz~output .CFG_PDRCTRL = 4'b0010;
defparam \clk100MHz~output .CFG_KEEP = 2'b00;
defparam \clk100MHz~output .CFG_LVDS_OUT_EN = 1'b0;
defparam \clk100MHz~output .CFG_LVDS_SEL_CUA = 2'b00;
defparam \clk100MHz~output .CFG_LVDS_IREF = 10'b0110000000;
defparam \clk100MHz~output .CFG_LVDS_IN_EN = 1'b0;
defparam \clk100MHz~output .DPCLK_DELAY = 4'b0000;
defparam \clk100MHz~output .OUT_DELAY = 1'b0;
defparam \clk100MHz~output .IN_DATA_DELAY = 3'b000;
defparam \clk100MHz~output .IN_REG_DELAY = 3'b000;

alta_rio \clk200MHz~output (
	.padio(clk200MHz),
	.datain(\inClkPll_inst|inClkPll_CAAEC038.clkout3 ),
	.oe(vcc),
	.outclk(gnd),
	.outclkena(vcc),
	.inclk(gnd),
	.inclkena(vcc),
	.areset(gnd),
	.sreset(gnd),
	.combout(),
	.regout());
defparam \clk200MHz~output .coord_x = 5;
defparam \clk200MHz~output .coord_y = 1;
defparam \clk200MHz~output .coord_z = 2;
defparam \clk200MHz~output .IN_ASYNC_MODE = 1'b0;
defparam \clk200MHz~output .IN_SYNC_MODE = 1'b0;
defparam \clk200MHz~output .IN_POWERUP = 1'b0;
defparam \clk200MHz~output .OUT_REG_MODE = 1'b0;
defparam \clk200MHz~output .OUT_ASYNC_MODE = 1'b0;
defparam \clk200MHz~output .OUT_SYNC_MODE = 1'b0;
defparam \clk200MHz~output .OUT_POWERUP = 1'b0;
defparam \clk200MHz~output .OE_REG_MODE = 1'b0;
defparam \clk200MHz~output .OE_ASYNC_MODE = 1'b0;
defparam \clk200MHz~output .OE_SYNC_MODE = 1'b0;
defparam \clk200MHz~output .OE_POWERUP = 1'b0;
defparam \clk200MHz~output .CFG_TRI_INPUT = 1'b0;
defparam \clk200MHz~output .CFG_PULL_UP = 1'b0;
defparam \clk200MHz~output .CFG_SLR = 1'b0;
defparam \clk200MHz~output .CFG_OPEN_DRAIN = 1'b0;
defparam \clk200MHz~output .CFG_PDRCTRL = 4'b0010;
defparam \clk200MHz~output .CFG_KEEP = 2'b00;
defparam \clk200MHz~output .CFG_LVDS_OUT_EN = 1'b0;
defparam \clk200MHz~output .CFG_LVDS_SEL_CUA = 2'b00;
defparam \clk200MHz~output .CFG_LVDS_IREF = 10'b0110000000;
defparam \clk200MHz~output .CFG_LVDS_IN_EN = 1'b0;
defparam \clk200MHz~output .DPCLK_DELAY = 4'b0000;
defparam \clk200MHz~output .OUT_DELAY = 1'b0;
defparam \clk200MHz~output .IN_DATA_DELAY = 3'b000;
defparam \clk200MHz~output .IN_REG_DELAY = 3'b000;

alta_rio \clk2MHz~output (
	.padio(clk2MHz),
	.datain(\inClkPll_inst|inClkPll_CAAEC038.clkout0 ),
	.oe(vcc),
	.outclk(gnd),
	.outclkena(vcc),
	.inclk(gnd),
	.inclkena(vcc),
	.areset(gnd),
	.sreset(gnd),
	.combout(),
	.regout());
defparam \clk2MHz~output .coord_x = 2;
defparam \clk2MHz~output .coord_y = 1;
defparam \clk2MHz~output .coord_z = 2;
defparam \clk2MHz~output .IN_ASYNC_MODE = 1'b0;
defparam \clk2MHz~output .IN_SYNC_MODE = 1'b0;
defparam \clk2MHz~output .IN_POWERUP = 1'b0;
defparam \clk2MHz~output .OUT_REG_MODE = 1'b0;
defparam \clk2MHz~output .OUT_ASYNC_MODE = 1'b0;
defparam \clk2MHz~output .OUT_SYNC_MODE = 1'b0;
defparam \clk2MHz~output .OUT_POWERUP = 1'b0;
defparam \clk2MHz~output .OE_REG_MODE = 1'b0;
defparam \clk2MHz~output .OE_ASYNC_MODE = 1'b0;
defparam \clk2MHz~output .OE_SYNC_MODE = 1'b0;
defparam \clk2MHz~output .OE_POWERUP = 1'b0;
defparam \clk2MHz~output .CFG_TRI_INPUT = 1'b0;
defparam \clk2MHz~output .CFG_PULL_UP = 1'b0;
defparam \clk2MHz~output .CFG_SLR = 1'b0;
defparam \clk2MHz~output .CFG_OPEN_DRAIN = 1'b0;
defparam \clk2MHz~output .CFG_PDRCTRL = 4'b0010;
defparam \clk2MHz~output .CFG_KEEP = 2'b00;
defparam \clk2MHz~output .CFG_LVDS_OUT_EN = 1'b0;
defparam \clk2MHz~output .CFG_LVDS_SEL_CUA = 2'b00;
defparam \clk2MHz~output .CFG_LVDS_IREF = 10'b0110000000;
defparam \clk2MHz~output .CFG_LVDS_IN_EN = 1'b0;
defparam \clk2MHz~output .DPCLK_DELAY = 4'b0000;
defparam \clk2MHz~output .OUT_DELAY = 1'b0;
defparam \clk2MHz~output .IN_DATA_DELAY = 3'b000;
defparam \clk2MHz~output .IN_REG_DELAY = 3'b000;

alta_rio \clk4MHz~output (
	.padio(clk4MHz),
	.datain(\inClkPll_inst|inClkPll_CAAEC038.clkout1 ),
	.oe(vcc),
	.outclk(gnd),
	.outclkena(vcc),
	.inclk(gnd),
	.inclkena(vcc),
	.areset(gnd),
	.sreset(gnd),
	.combout(),
	.regout());
defparam \clk4MHz~output .coord_x = 4;
defparam \clk4MHz~output .coord_y = 1;
defparam \clk4MHz~output .coord_z = 2;
defparam \clk4MHz~output .IN_ASYNC_MODE = 1'b0;
defparam \clk4MHz~output .IN_SYNC_MODE = 1'b0;
defparam \clk4MHz~output .IN_POWERUP = 1'b0;
defparam \clk4MHz~output .OUT_REG_MODE = 1'b0;
defparam \clk4MHz~output .OUT_ASYNC_MODE = 1'b0;
defparam \clk4MHz~output .OUT_SYNC_MODE = 1'b0;
defparam \clk4MHz~output .OUT_POWERUP = 1'b0;
defparam \clk4MHz~output .OE_REG_MODE = 1'b0;
defparam \clk4MHz~output .OE_ASYNC_MODE = 1'b0;
defparam \clk4MHz~output .OE_SYNC_MODE = 1'b0;
defparam \clk4MHz~output .OE_POWERUP = 1'b0;
defparam \clk4MHz~output .CFG_TRI_INPUT = 1'b0;
defparam \clk4MHz~output .CFG_PULL_UP = 1'b0;
defparam \clk4MHz~output .CFG_SLR = 1'b0;
defparam \clk4MHz~output .CFG_OPEN_DRAIN = 1'b0;
defparam \clk4MHz~output .CFG_PDRCTRL = 4'b0010;
defparam \clk4MHz~output .CFG_KEEP = 2'b00;
defparam \clk4MHz~output .CFG_LVDS_OUT_EN = 1'b0;
defparam \clk4MHz~output .CFG_LVDS_SEL_CUA = 2'b00;
defparam \clk4MHz~output .CFG_LVDS_IREF = 10'b0110000000;
defparam \clk4MHz~output .CFG_LVDS_IN_EN = 1'b0;
defparam \clk4MHz~output .DPCLK_DELAY = 4'b0000;
defparam \clk4MHz~output .OUT_DELAY = 1'b0;
defparam \clk4MHz~output .IN_DATA_DELAY = 3'b000;
defparam \clk4MHz~output .IN_REG_DELAY = 3'b000;

alta_pllx \inClkPll_inst|inClkPll_CAAEC038 (
	.clkin(\sys_clk~input_o ),
	.clkfb(\inClkPll_inst|inClkPll_CAAEC038.clkout0 ),
	.pllen(vcc),
	.resetn(\sys_rst~input_o ),
	.clkout0en(vcc),
	.clkout1en(vcc),
	.clkout2en(vcc),
	.clkout3en(vcc),
	.clkout0(\inClkPll_inst|inClkPll_CAAEC038.clkout0_int ),
	.clkout1(\inClkPll_inst|inClkPll_CAAEC038.clkout1_int ),
	.clkout2(\inClkPll_inst|inClkPll_CAAEC038.clkout2_int ),
	.clkout3(\inClkPll_inst|inClkPll_CAAEC038.clkout3_int ),
	.lock(\inClkPll_inst|inClkPll_CAAEC038.lock ));
defparam \inClkPll_inst|inClkPll_CAAEC038 .coord_x = 1;
defparam \inClkPll_inst|inClkPll_CAAEC038 .coord_y = 0;
defparam \inClkPll_inst|inClkPll_CAAEC038 .coord_z = 0;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKIN_DIV = 6'b000010;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKFB_DIV = 6'b111111;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKDIV0_EN = 1'b1;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKDIV1_EN = 1'b1;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKDIV2_EN = 1'b1;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKDIV3_EN = 1'b1;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT0_DIV = 6'b111000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT1_DIV = 6'b011100;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT2_DIV = 6'b000011;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT3_DIV = 6'b000001;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT0_DEL = 6'b000000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT1_DEL = 6'b000000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT2_DEL = 6'b000000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT3_DEL = 6'b000000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT0_PHASE = 3'b000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT1_PHASE = 3'b000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT2_PHASE = 3'b000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .CLKOUT3_PHASE = 3'b000;
defparam \inClkPll_inst|inClkPll_CAAEC038 .FEEDBACK_MODE = 1'b0;
defparam \inClkPll_inst|inClkPll_CAAEC038 .FEEDBACK_CLOCK = 2'b00;

alta_io_gclk \inClkPll_inst|inClkPll_CAAEC038|clkout0~ALTA_GCLK (
	.inclk(\inClkPll_inst|inClkPll_CAAEC038.clkout0_int ),
	.outclk(\inClkPll_inst|inClkPll_CAAEC038.clkout0 ));
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout0~ALTA_GCLK .coord_x = 4;
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout0~ALTA_GCLK .coord_y = 9;
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout0~ALTA_GCLK .coord_z = 0;

alta_io_gclk \inClkPll_inst|inClkPll_CAAEC038|clkout1~ALTA_GCLK (
	.inclk(\inClkPll_inst|inClkPll_CAAEC038.clkout1_int ),
	.outclk(\inClkPll_inst|inClkPll_CAAEC038.clkout1 ));
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout1~ALTA_GCLK .coord_x = 4;
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout1~ALTA_GCLK .coord_y = 1;
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout1~ALTA_GCLK .coord_z = 0;

alta_io_gclk \inClkPll_inst|inClkPll_CAAEC038|clkout2~ALTA_GCLK (
	.inclk(\inClkPll_inst|inClkPll_CAAEC038.clkout2_int ),
	.outclk(\inClkPll_inst|inClkPll_CAAEC038.clkout2 ));
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout2~ALTA_GCLK .coord_x = 5;
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout2~ALTA_GCLK .coord_y = 9;
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout2~ALTA_GCLK .coord_z = 0;

alta_io_gclk \inClkPll_inst|inClkPll_CAAEC038|clkout3~ALTA_GCLK (
	.inclk(\inClkPll_inst|inClkPll_CAAEC038.clkout3_int ),
	.outclk(\inClkPll_inst|inClkPll_CAAEC038.clkout3 ));
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout3~ALTA_GCLK .coord_x = 5;
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout3~ALTA_GCLK .coord_y = 1;
defparam \inClkPll_inst|inClkPll_CAAEC038|clkout3~ALTA_GCLK .coord_z = 0;

alta_rio \sys_clk~input (
	.padio(sys_clk),
	.datain(gnd),
	.oe(gnd),
	.outclk(gnd),
	.outclkena(vcc),
	.inclk(gnd),
	.inclkena(vcc),
	.areset(gnd),
	.sreset(gnd),
	.combout(\sys_clk~input_o ),
	.regout());
defparam \sys_clk~input .coord_x = 5;
defparam \sys_clk~input .coord_y = 1;
defparam \sys_clk~input .coord_z = 0;
defparam \sys_clk~input .IN_ASYNC_MODE = 1'b0;
defparam \sys_clk~input .IN_SYNC_MODE = 1'b0;
defparam \sys_clk~input .IN_POWERUP = 1'b0;
defparam \sys_clk~input .OUT_REG_MODE = 1'b0;
defparam \sys_clk~input .OUT_ASYNC_MODE = 1'b0;
defparam \sys_clk~input .OUT_SYNC_MODE = 1'b0;
defparam \sys_clk~input .OUT_POWERUP = 1'b0;
defparam \sys_clk~input .OE_REG_MODE = 1'b0;
defparam \sys_clk~input .OE_ASYNC_MODE = 1'b0;
defparam \sys_clk~input .OE_SYNC_MODE = 1'b0;
defparam \sys_clk~input .OE_POWERUP = 1'b0;
defparam \sys_clk~input .CFG_TRI_INPUT = 1'b0;
defparam \sys_clk~input .CFG_PULL_UP = 1'b0;
defparam \sys_clk~input .CFG_SLR = 1'b0;
defparam \sys_clk~input .CFG_OPEN_DRAIN = 1'b0;
defparam \sys_clk~input .CFG_PDRCTRL = 4'b0010;
defparam \sys_clk~input .CFG_KEEP = 2'b00;
defparam \sys_clk~input .CFG_LVDS_OUT_EN = 1'b0;
defparam \sys_clk~input .CFG_LVDS_SEL_CUA = 2'b00;
defparam \sys_clk~input .CFG_LVDS_IREF = 10'b0110000000;
defparam \sys_clk~input .CFG_LVDS_IN_EN = 1'b0;
defparam \sys_clk~input .DPCLK_DELAY = 4'b0000;
defparam \sys_clk~input .OUT_DELAY = 1'b0;
defparam \sys_clk~input .IN_DATA_DELAY = 3'b000;
defparam \sys_clk~input .IN_REG_DELAY = 3'b000;

alta_rio \sys_rst~input (
	.padio(sys_rst),
	.datain(gnd),
	.oe(gnd),
	.outclk(gnd),
	.outclkena(vcc),
	.inclk(gnd),
	.inclkena(vcc),
	.areset(gnd),
	.sreset(gnd),
	.combout(\sys_rst~input_o ),
	.regout());
defparam \sys_rst~input .coord_x = 2;
defparam \sys_rst~input .coord_y = 1;
defparam \sys_rst~input .coord_z = 0;
defparam \sys_rst~input .IN_ASYNC_MODE = 1'b0;
defparam \sys_rst~input .IN_SYNC_MODE = 1'b0;
defparam \sys_rst~input .IN_POWERUP = 1'b0;
defparam \sys_rst~input .OUT_REG_MODE = 1'b0;
defparam \sys_rst~input .OUT_ASYNC_MODE = 1'b0;
defparam \sys_rst~input .OUT_SYNC_MODE = 1'b0;
defparam \sys_rst~input .OUT_POWERUP = 1'b0;
defparam \sys_rst~input .OE_REG_MODE = 1'b0;
defparam \sys_rst~input .OE_ASYNC_MODE = 1'b0;
defparam \sys_rst~input .OE_SYNC_MODE = 1'b0;
defparam \sys_rst~input .OE_POWERUP = 1'b0;
defparam \sys_rst~input .CFG_TRI_INPUT = 1'b0;
defparam \sys_rst~input .CFG_PULL_UP = 1'b0;
defparam \sys_rst~input .CFG_SLR = 1'b0;
defparam \sys_rst~input .CFG_OPEN_DRAIN = 1'b0;
defparam \sys_rst~input .CFG_PDRCTRL = 4'b0010;
defparam \sys_rst~input .CFG_KEEP = 2'b00;
defparam \sys_rst~input .CFG_LVDS_OUT_EN = 1'b0;
defparam \sys_rst~input .CFG_LVDS_SEL_CUA = 2'b00;
defparam \sys_rst~input .CFG_LVDS_IREF = 10'b0110000000;
defparam \sys_rst~input .CFG_LVDS_IN_EN = 1'b0;
defparam \sys_rst~input .DPCLK_DELAY = 4'b0000;
defparam \sys_rst~input .OUT_DELAY = 1'b0;
defparam \sys_rst~input .IN_DATA_DELAY = 3'b000;
defparam \sys_rst~input .IN_REG_DELAY = 3'b000;

endmodule
