module external_clock_pll(
	input		sys_clk,
	input		sys_rst,
	output	clk10MHz,
	output	clk20MHz,
	output	clk100MHz,
	output	clk200MHz
);



extClkPll extClkPll_inst(
  .clkin(sys_clk),
  .clkfb(clk10MHz),
  .pllen(1'b1),
  .resetn(sys_rst),
  .clkout0en(1'b1),
  .clkout1en(1'b1),
  .clkout2en(1'b1),
  .clkout3en(1'b1),
  .clkout0(clk10MHz),
  .clkout1(clk20MHz),
  .clkout2(clk100MHz),
  .clkout3(clk200MHz),
  .lock()
);

endmodule
