`timescale 1ns/1ps
module inClkPll(
   input clkin,
   input clkfb,
   input pllen,
   input resetn,
   input clkout0en,
   input clkout1en,
   input clkout2en,
   input clkout3en,
  output clkout0,
  output clkout1,
  output clkout2,
  output clkout3,
  output lock
);


alta_pllx inClkPll_CAAEC038(
  .clkin(clkin),
  .clkfb(clkfb),
  .pllen(pllen),
  .resetn(resetn),
  .clkout0en(clkout0en),
  .clkout1en(clkout1en),
  .clkout2en(clkout2en),
  .clkout3en(clkout3en),
  .clkout0(inClkPll_clkout0),
  .clkout1(inClkPll_clkout1),
  .clkout2(inClkPll_clkout2),
  .clkout3(inClkPll_clkout3),
  .lock(inClkPll_lock)
);
defparam inClkPll_CAAEC038.CLKIN_DIV = 6'h02;
defparam inClkPll_CAAEC038.CLKFB_DIV = 6'h3F;
defparam inClkPll_CAAEC038.CLKDIV0_EN = 1'h1;
defparam inClkPll_CAAEC038.CLKOUT0_DIV = 6'h38;
defparam inClkPll_CAAEC038.CLKOUT0_DEL = 6'h00;
defparam inClkPll_CAAEC038.CLKOUT0_PHASE = 3'h0;
defparam inClkPll_CAAEC038.CLKDIV1_EN = 1'h1;
defparam inClkPll_CAAEC038.CLKOUT1_DIV = 6'h1C;
defparam inClkPll_CAAEC038.CLKOUT1_DEL = 6'h00;
defparam inClkPll_CAAEC038.CLKOUT1_PHASE = 3'h0;
defparam inClkPll_CAAEC038.CLKDIV2_EN = 1'h1;
defparam inClkPll_CAAEC038.CLKOUT2_DIV = 6'h03;
defparam inClkPll_CAAEC038.CLKOUT2_DEL = 6'h00;
defparam inClkPll_CAAEC038.CLKOUT2_PHASE = 3'h0;
defparam inClkPll_CAAEC038.CLKDIV3_EN = 1'h1;
defparam inClkPll_CAAEC038.CLKOUT3_DIV = 6'h01;
defparam inClkPll_CAAEC038.CLKOUT3_DEL = 6'h00;
defparam inClkPll_CAAEC038.CLKOUT3_PHASE = 3'h0;
defparam inClkPll_CAAEC038.FEEDBACK_MODE = 1'b0;
defparam inClkPll_CAAEC038.FEEDBACK_CLOCK = 2'b00;

assign clkout0 = inClkPll_clkout0;
assign clkout1 = inClkPll_clkout1;
assign clkout2 = inClkPll_clkout2;
assign clkout3 = inClkPll_clkout3;
assign lock = inClkPll_lock;

endmodule

