module internal_clock_pll(
	input		sys_clk,
	input		sys_rst,
	output	clk2MHz,
	output	clk4MHz,
	output	clk100MHz,
	output	clk200MHz
);



inClkPll inClkPll_inst(
  .clkin(sys_clk),
  .clkfb(clk2MHz),
  .pllen(1'b1),
  .resetn(sys_rst),
  .clkout0en(1'b1),
  .clkout1en(1'b1),
  .clkout2en(1'b1),
  .clkout3en(1'b1),
  .clkout0(clk2MHz),
  .clkout1(clk4MHz),
  .clkout2(clk100MHz),
  .clkout3(clk200MHz),
  .lock()
);

endmodule
